From: Baptiste BEAUPLAT <lyknode@cilg.org>
Date: Mon, 15 Jul 2019 16:51:39 +0200
Subject: use sysconfig as default

Forwarded: not-needed
---
 Makefile               | 4 ++--
 docs/monitorix.service | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Makefile b/Makefile
index b82ac93..d5e5e5e 100644
--- a/Makefile
+++ b/Makefile
@@ -64,8 +64,8 @@ install-bin:
 	$(INSTALL_DIR) "$(DESTDIR)$(CONFDIR)/logrotate.d/"
 	$(INSTALL_DATA) docs/$(PN).logrotate "$(DESTDIR)$(CONFDIR)/logrotate.d/$(PN)"
 	
-	$(INSTALL_DIR) "$(DESTDIR)$(CONFDIR)/sysconfig"
-	$(INSTALL_DATA) docs/$(PN).sysconfig "$(DESTDIR)$(CONFDIR)/sysconfig/$(PN)"
+	$(INSTALL_DIR) "$(DESTDIR)$(CONFDIR)/default"
+	$(INSTALL_DATA) docs/$(PN).sysconfig "$(DESTDIR)$(CONFDIR)/default/$(PN)"
 	
 	$(INSTALL_DIR) "$(DESTDIR)$(LIBDIR)"
 	$(INSTALL_DATA) lib/ambsens.pm "$(DESTDIR)$(LIBDIR)/ambsens.pm"
diff --git a/docs/monitorix.service b/docs/monitorix.service
index f775bac..d33d1b1 100644
--- a/docs/monitorix.service
+++ b/docs/monitorix.service
@@ -6,7 +6,7 @@ Requires=network-online.target
 
 [Service]
 Type=forking
-EnvironmentFile=-/etc/sysconfig/monitorix
+EnvironmentFile=-/etc/default/monitorix
 ExecStart=/usr/bin/monitorix -c /etc/monitorix/monitorix.conf -p /run/monitorix.pid $OPTIONS
 PIDFile=/run/monitorix.pid
 
